Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.insights.folders.update({
folderId: 567518,
insightsFolderInput: {
name: "customer-complaints",
label: "support",
description: "Call recordings related to customer complaints",
},
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.insights.folders.update(folder_id=567518, insights_folder_input={
"name": "customer-complaints",
"label": "support",
"description": "Call recordings related to customer complaints",
})
# Handle response
print(res)curl --request PUT \
--url https://api.syllable.cloud/api/v1/insights/folders/{folder_id} \
--header 'Content-Type: application/json' \
--header 'Syllable-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"label": "support",
"description": "Call recordings related to customer complaints"
}
'const options = {
method: 'PUT',
headers: {'Syllable-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
label: 'support',
description: 'Call recordings related to customer complaints'
})
};
fetch('https://api.syllable.cloud/api/v1/insights/folders/{folder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": 123,
"last_updated_by": "<string>",
"label": "support",
"description": "Call recordings related to customer complaints",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}insights.folders
Update Insights Folder
PUT
/
api
/
v1
/
insights
/
folders
/
{folder_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.insights.folders.update({
folderId: 567518,
insightsFolderInput: {
name: "customer-complaints",
label: "support",
description: "Call recordings related to customer complaints",
},
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.insights.folders.update(folder_id=567518, insights_folder_input={
"name": "customer-complaints",
"label": "support",
"description": "Call recordings related to customer complaints",
})
# Handle response
print(res)Authorizations
Path Parameters
Body
application/json
Request model to create/update an insight upload folder.
Response
Successful Response
Response model for an insight upload folder.
Human-readable name of insight folder
Example:
"customer-complaints"
System-assign folder ID
Example:
182764
Email of user who last updated upload folder
Example:
"user@email.com"
optional label assigned to insight folder
Example:
"support"
Text description of insight upload folder
Example:
"Call recordings related to customer complaints"
Timestamp at which insight upload folder was created
Example:
"2026-07-08T00:00:00Z"
Timestamp at which insight upload folder was last updated
Example:
"2026-07-09T00:00:00Z"
⌘I

